ChartDirector Ver 5.0 (PHP Edition)

BaseChart.getDrawArea

Usage

getDrawArea()

Description

Retrieves the internal DrawArea object that is used to draw the chart.
The most common reason of accessing the internal DrawArea object is to add custom drawings (lines, texts, shapes, etc) to the chart.
If the custom drawings are drawn before drawing the chart image (eg. using BaseChart.makeChart, BaseChart.makeChart2 or BaseChart.makeSession), the custom drawings will be at the background of the chart.

Arguments

None

Return Value

A DrawArea object that can be used to add custom text and shapes to the chart.

© 2009 Advanced Software Engineering Limited. All rights reserved.